Crystal Space: iSndSysStreamCallback Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysStreamCallback Struct Reference
[Sound system]

Sound System stream interface for callback notification. More...

`#include <isndsys/ss_stream.h>`

Inheritance diagram for iSndSysStreamCallback:

[legend]
List of all members.

## Public Member Functions
| SCF_INTERFACE (iSndSysStreamCallback, 0, 1, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.
virtual void | StreamFrameNotification (size_t frame_number)=0
| Called when this stream passes a frame previously registered for notification.
virtual void | StreamLoopNotification ()=0
| Called when this stream loops.
virtual void | StreamPauseNotification ()=0
| Called when this stream transitions from playing to paused state.
virtual void | StreamUnpauseNotification ()=0
| Called when this stream transitions from paused to playing state.

## Detailed Description

Sound System stream interface for callback notification.

Definition at line 273 of file ss_stream.h.

## Member Function Documentation

iSndSysStreamCallback::SCF_INTERFACE | ( | iSndSysStreamCallback | ,
|  | 0 | ,
|  | 1 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

virtual void iSndSysStreamCallback::StreamFrameNotification | ( | size_t | frame_number | ) | `[pure virtual]`

Called when this stream passes a frame previously registered for notification.

virtual void iSndSysStreamCallback::StreamLoopNotification | ( |  | ) | `[pure virtual]`

Called when this stream loops.

virtual void iSndSysStreamCallback::StreamPauseNotification | ( |  | ) | `[pure virtual]`

Called when this stream transitions from playing to paused state.

virtual void iSndSysStreamCallback::StreamUnpauseNotification | ( |  | ) | `[pure virtual]`

Called when this stream transitions from paused to playing state.

The documentation for this struct was generated from the following file:

- isndsys/ss_stream.h